package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.faceSample.entity.FaceSampleEntity;
import com.ycwl.basic.model.pc.faceSample.req.FaceSampleReqQuery;
import com.ycwl.basic.model.pc.faceSample.resp.FaceSampleRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * AiCam人脸样本Mapper
 */
@Mapper
public interface FaceSampleAiCamMapper {
    List<FaceSampleRespVO> list(FaceSampleReqQuery faceSampleReqQuery);
    FaceSampleRespVO getById(Long id);
    int add(FaceSampleEntity faceSample);
    int deleteById(Long id);
    int deleteByIds(@Param("list") List<Long> ids);
    int update(FaceSampleEntity faceSample);

    List<FaceSampleEntity> listByIds(List<Long> list);

    FaceSampleEntity getEntity(Long faceSampleId);
    List<FaceSampleEntity> listEntityBeforeDate(Long scenicId, Date endDate);

    void updateScore(Long id, Float score);
    
    void updateStatus(Long id, Integer status);
}
